# NucML

Pedro Vicente-Valdez, PhD\
Nuclear Engineering - UC Berkeley \
pedro.vicentevz@berkeley.edu\
Neutronics Lab - Massimiliano Fratoni, PhD


NucML is the first and only end-to-end python-based supervised machine learning pipeline for enhanced bias-free nuclear data generation and evaluation to support the advancement of next-generation nuclear systems. It offers capabilities that allows researchers to navigate through each step of the ML-based nuclear data cross section evaluation pipeline. Some of the supported activities include include dataset parsing and compilation of reaction data, exploratory data analysis, data manipulation and feature engineering, model training and evaluation, and validation via criticality benchmarks. Some of the inherit benefits of this approach are the reduced human-bias in the generation and solution and the fast iteration times. Resulting data from these models can aid the current NDE and help decisions in uncertain scenarios.


# Installation and Setup

Please refer to the Installation guide in the official documentation here: https://pedrojrv.github.io/nucml/getting-started.html.


<!-- cd C:\Users\Pedro\Desktop\nucml\sphinx
sphinx-apidoc -f -o source ../nucml/
sphinx-build source ../html/
make html -->

# How to Cite 



If you used `NucML` for your work, feel free to cite us using (use previous resource in the meantime):

```
Vicente-Valdez, P., Bernstein, L., & Fratoni, M. (2020). Application of Machine Learning to Nuclear Data Evaluation. ANS Virtual Winter Meeting, 123, 1287–1290. https://doi.org/10.13182/T123-32998
```

<!-- 
```
Vicente-Valdez, P., Bernstein, L., & Fratoni, M. (2021). NucML: Python Package for ML-based Nuclear Data Cross Section Evaluations. ANS Annual Meeting. (SUBMITTED AND ACCEPTED)
``` -->
